# SEARCH Search for Collections by Collection name. Perform Asset searches using keywords or Attribute-specific search terms using the Keyword Search endpoint. Perform a scan on all assets based on search criteria using a cursor to page through the entire result set of assets. ## Scan Asset Search Results - [POST /asset/scan](https://api.tenovos.com/openapi/v1.5/search/scanassets.md): Provides the ability to scan a search result set of assets using a cursor to fetch the next set of results pages on the limit (page size) passed. ## (NEW!) Search Assets - [POST /search](https://api.tenovos.com/openapi/v1.5/search/searchassets.md): There are two types of searches available: - Simple Keyword Search: Requesting user can get list of Assets against search terms/keywords list. For example ["keyword1", "keyword2"] - Facet Search: Requesting user can get list of Assets against Facet value list. For example ["Facet: facet_value"] Specifying a value in the 'keywordSearchField' attribute in the request allows you to target keyword searches against Filename, Asset ID, Metadata, or Content (extracted text from documents. By default, if not specified in the request, the search operation type will be set to 'AND' for search terms and/or facets. If the 'relevancy' field is passed as true, this will negate the operation selection used in legacy search and will leverage the relevancy search matching. When relevancy is set to true, the 'metadataDefinitionSearchField' field within the sortBy object should be set to 'relevance', and the 'order' field should be set to 'desc'. By default, up to 50 Assets will return from the search. Should you want to limit the amount of assets returned in each response, the value for 'limit' can be set to a number up to 50. You can also set search offset by setting the 'from' property. For example, for the first page, set 'from' to 0. After that set 'from' to 50, 100, 150, etc. This endpoint will only return a handful of metadata fields by default. To include more metadata fields in the response, those fields should be included in the 'includes' array. System metadata fields, such as Metadata Template ID, should be entered using camel case (ie, metadataTemplateId). Custom metadata fields should be entered by their attribute search term, prefixed by metadataDocument. For example, to retrieve an attribute called Published Channel, a user would include "metadataDocument.published_channel" in the includes array. Fields included in this array will be returned in an object called 'metadataDocument' if those attributes exist on the asset. Average Response Time: 691ms ## Search Collections - [POST /search/collection](https://api.tenovos.com/openapi/v1.5/search/searchcollections.md): Retrieve the collection list against the list of search terms/keywords. By default AND operation will be applied between the search terms. By default 50 collections will return, you can also set search offset by setting from attribute, for example for first page set from to zero and after that you set 50, 100, 150 and so on. Average Response Time: 244ms ## Search Assets by Keyword - [POST /search/keyword](https://api.tenovos.com/openapi/v1.5/search/search.md): To Retrieve the Assets list there is two types of searches available, Simple Keyword Search: Requesting user can get list of Assets against search terms/keywords list. For example ["keyword1", "keyword2"] Facet Search: Requesting user can get list of Assets against Facet value list. For example ["Facet: facet_value"] Targeted Search: Requesting user can target keyword searches against Filename, Asset ID, Metadata, or Content (extracted text from documents) by passing the optional property of keywordSearchField. Requesting user can apply the combination of both searches and if there is no keyword/facet in requesting body it will apply wildcard search. By default AND operation will be applied with search terms and/or facets. By default, up to 50 Assets will return from the search.You can also set search offset by setting the from property. For example, for the first page, set from to zero. After that set from to 50, 100, 150, etc. Average Response Time: 4185ms ## Search User Profiles - [GET /search/users/{searchText}](https://api.tenovos.com/openapi/v1.5/search/searchusersbytext.md): Use this endpoint to retrieve a list of User Profiles matching the search keyword provided in the request parameter. Do not enter your search term wrapped in quotation marks. Provided keyword will be matched against the user attributes case insensitively - First Name, Last Name, Friendly Name, Username, Email, Phone, Company, Contact, Country, Status, Group Names, and Role Name. Entering "*" as your search term will return all users. The response is formatted as an area of objects, with each user account being returned as an object, as well as a key called 'count', which indicates how many accounts met the search critera. A maximum limit of 100 accounts will be returned in the response. In the case that more than 100 accounts meet the search criteria, pagination using the optional 'from' and 'limit' query parameters will be required to retrieve all accounts. The user performing this action must have the 'User Management' role privilege. How to use pagination: Pagination should be used when the amount of user accounts that match the entered search term exceeds the amount of users (100) returned in a single response. Paginating through the results will require making more than one call to this endpoint. To retrieve the first 100 users, in your query parameters, set your 'from' value to 0, and your 'limit' value to 100. To return the next set of 100 users, leave your 'limit' value as 100, but set your 'from' value to 100. Continue to repeat this process of adding 100 to your 'from' value until all user account results are captured.